<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Data Structures</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Data Structures</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">Here are the data structures with brief descriptions:</div><div class="directory">
<table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_adc_bit_format__t.html" target="_self">rlAdcBitFormat_t</a></td><td class="desc">ADC Bit and ADC Output format Configuration </td></tr>
<tr id="row_1_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_adc_out_cfg__t.html" target="_self">rlAdcOutCfg_t</a></td><td class="desc">ADC format and payload justification Configuration </td></tr>
<tr id="row_2_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_adv_frame_cfg__t.html" target="_self">rlAdvFrameCfg_t</a></td><td class="desc">Advance Frame Sequence config API parameters rlAdvFrameCfg, 148 bytes </td></tr>
<tr id="row_3_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_adv_frame_data_cfg__t.html" target="_self">rlAdvFrameDataCfg_t</a></td><td class="desc">Advance Frame data config API parameters. This strcutre is only applicable when mmWaveLink instance is running on External Host and connected to AWR1243 device </td></tr>
<tr id="row_4_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_adv_frame_seq_cfg__t.html" target="_self">rlAdvFrameSeqCfg_t</a></td><td class="desc">Advance Frame Sequence config API parameters rlAdvFrameCfg, 148 bytes </td></tr>
<tr id="row_5_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_all_tx_ball_break_mon_cfg__t.html" target="_self">rlAllTxBallBreakMonCfg_t</a></td><td class="desc">TX ballbreak monitoring configuration </td></tr>
<tr id="row_6_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_all_tx_bpm_mon_conf__t.html" target="_self">rlAllTxBpmMonConf_t</a></td><td class="desc">TX BPM monitoring configuration </td></tr>
<tr id="row_7_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_all_tx_int_ana_signals_mon_conf__t.html" target="_self">rlAllTxIntAnaSignalsMonConf_t</a></td><td class="desc">Internal signals in the TX path monitoring configuration </td></tr>
<tr id="row_8_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_all_tx_pow_mon_conf__t.html" target="_self">rlAllTxPowMonConf_t</a></td><td class="desc">TX power monitoring configuration </td></tr>
<tr id="row_9_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_analog_fault_report_data__t.html" target="_self">rlAnalogFaultReportData_t</a></td><td class="desc">Analog fault strucure for event RL_RF_AE_ANALOG_FAULT_SB </td></tr>
<tr id="row_10_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_async_evt__t.html" target="_self">rlAsyncEvt_t</a></td><td class="desc">RHCP Async Event structure </td></tr>
<tr id="row_11_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_bpm_chirp_cfg__t.html" target="_self">rlBpmChirpCfg_t</a></td><td class="desc">Binary phase modulation common configuration </td></tr>
<tr id="row_12_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_bpm_common_cfg__t.html" target="_self">rlBpmCommonCfg_t</a></td><td class="desc">Binary phase modulation common configuration </td></tr>
<tr id="row_13_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_bpm_k_counter_sel__t.html" target="_self">rlBpmKCounterSel_t</a></td><td class="desc">Binary phase modulation KCounter configuration </td></tr>
<tr id="row_14_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_bpm_mode_cfg__t.html" target="_self">rlBpmModeCfg_t</a></td><td class="desc">Binary phase modulation mode configuration </td></tr>
<tr id="row_15_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_cal_data_get_cfg__t.html" target="_self">rlCalDataGetCfg_t</a></td><td class="desc">Get calibration data configuration structure </td></tr>
<tr id="row_16_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_cal_data_store__t.html" target="_self">rlCalDataStore_t</a></td><td class="desc">Calibration data which application will receive from radarSS and will feed in to the Device in next power up to avoid calibration </td></tr>
<tr id="row_17_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_calibration_data__t.html" target="_self">rlCalibrationData_t</a></td><td class="desc">Structure to store all Calibration data chunks which device provides in response of rlRfCalibDataStore API. Applcation needs to provide same structure to rlRfCalibDataRestore API to restore calibration data to the device </td></tr>
<tr id="row_18_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_cal_mon_timing_error_report_data__t.html" target="_self">rlCalMonTimingErrorReportData_t</a></td><td class="desc">Calibration monitoring timing error data for event RL_RF_AE_MON_TIMING_FAIL_REPORT_SB </td></tr>
<tr id="row_19_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_chan_cfg__t.html" target="_self">rlChanCfg_t</a></td><td class="desc">Rx/Tx Channel Configuration </td></tr>
<tr id="row_20_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_chirp_cfg__t.html" target="_self">rlChirpCfg_t</a></td><td class="desc">Chirp config API parameters. This structure contains fine dithering to coarse profile defined in <a class="el" href="structrl_profile_cfg__t.html">rlProfileCfg_t</a>. It also includes the selection of Transmitter and binary phase modulation for a chirp.<br />
</td></tr>
<tr id="row_21_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_chirp_ph_shift_per_tx__t.html" target="_self">rlChirpPhShiftPerTx_t</a></td><td class="desc">Dynamic per chirp phase shifter configuration for each TX </td></tr>
<tr id="row_22_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_chirp_row__t.html" target="_self">rlChirpRow_t</a></td><td class="desc">Chirp row configuration, radarSS stores each chirp config in memory in 3 rows </td></tr>
<tr id="row_23_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_client_cbs__t.html" target="_self">rlClientCbs_t</a></td><td class="desc">MmWaveLink client callback structure </td></tr>
<tr id="row_24_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_cmd_parser_cbs__t.html" target="_self">rlCmdParserCbs_t</a></td><td class="desc">MmWaveLink callback functions for Command parser </td></tr>
<tr id="row_25_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_com_dev_inx__t.html" target="_self">rlComDevInx_t</a></td><td class="desc">Communication handle and device-index for deifferent devices connected to Host </td></tr>
<tr id="row_26_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_com_if_cbs__t.html" target="_self">rlComIfCbs_t</a></td><td class="desc">Communication interface(SPI, MailBox, UART etc) callback functions </td></tr>
<tr id="row_27_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_cont_mode_cfg__t.html" target="_self">rlContModeCfg_t</a></td><td class="desc">Continous Mode config API parameters </td></tr>
<tr id="row_28_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_cont_mode_en__t.html" target="_self">rlContModeEn_t</a></td><td class="desc">Continous Mode Enable API parameters </td></tr>
<tr id="row_29_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_cpu_fault__t.html" target="_self">rlCpuFault_t</a></td><td class="desc">Structure to hold the MSS/radarSS CPU Fault data strucutre for event RL_DEV_AE_MSS_CPUFAULT_SB and RL_RF_AE_CPUFAULT_SB </td></tr>
<tr id="row_30_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_crc_cbs__t.html" target="_self">rlCrcCbs_t</a></td><td class="desc">MmWaveLink CRC callback function </td></tr>
<tr id="row_31_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_dbg_cb__t.html" target="_self">rlDbgCb_t</a></td><td class="desc">MmWaveLink debug callback structure </td></tr>
<tr id="row_32_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_dev_cont_streaming_mode_cfg__t.html" target="_self">rlDevContStreamingModeCfg_t</a></td><td class="desc">Continous streaming mode configuration </td></tr>
<tr id="row_33_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_dev_csi2_cfg__t.html" target="_self">rlDevCsi2Cfg_t</a></td><td class="desc">CSI2 configuration </td></tr>
<tr id="row_34_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_dev_data_fmt_cfg__t.html" target="_self">rlDevDataFmtCfg_t</a></td><td class="desc">Mmwave radar data format config </td></tr>
<tr id="row_35_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_dev_data_path_cfg__t.html" target="_self">rlDevDataPathCfg_t</a></td><td class="desc">Mmwave radar data path config </td></tr>
<tr id="row_36_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_dev_data_path_clk_cfg__t.html" target="_self">rlDevDataPathClkCfg_t</a></td><td class="desc">DataPath clock configuration </td></tr>
<tr id="row_37_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_dev_hsi_cfg__t.html" target="_self">rlDevHsiCfg_t</a></td><td class="desc">Mmwave radar high speed Data path configuraiton </td></tr>
<tr id="row_38_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_dev_hsi_clk__t.html" target="_self">rlDevHsiClk_t</a></td><td class="desc">Mmwave radar high speed clock configuration </td></tr>
<tr id="row_39_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_device_ctrl_cbs__t.html" target="_self">rlDeviceCtrlCbs_t</a></td><td class="desc">MmWaveLink Device Control, Interrupt callback functions </td></tr>
<tr id="row_40_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_dev_lane_enable__t.html" target="_self">rlDevLaneEnable_t</a></td><td class="desc">Mmwave radar data path lane enable </td></tr>
<tr id="row_41_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_dev_lvds_lane_cfg__t.html" target="_self">rlDevLvdsLaneCfg_t</a></td><td class="desc">LVDS Lane configuration </td></tr>
<tr id="row_42_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_dfe_rx_stat_report__t.html" target="_self">rlDfeRxStatReport_t</a></td><td class="desc">The DFE Statistics for Rx Channel for particular profile </td></tr>
<tr id="row_43_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_dfe_stat_report__t.html" target="_self">rlDfeStatReport_t</a></td><td class="desc">The DFE Statistics Report Contents </td></tr>
<tr id="row_44_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_dig_latent_fault_report_data__t.html" target="_self">rlDigLatentFaultReportData_t</a></td><td class="desc">Latent fault digital monitoring status data for event RL_RF_AE_DIG_LATENTFAULT_REPORT_AE_SB </td></tr>
<tr id="row_45_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_dig_mon_periodic_conf__t.html" target="_self">rlDigMonPeriodicConf_t</a></td><td class="desc">Digital monitoring latent fault reporting configuration </td></tr>
<tr id="row_46_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_dig_periodic_report_data__t.html" target="_self">rlDigPeriodicReportData_t</a></td><td class="desc">This async event is sent periodically to indicate the status of periodic digital monitoring tests.Event: RL_RF_AE_MON_DIG_PERIODIC_REPORT_SB </td></tr>
<tr id="row_47_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_driver_data__t.html" target="_self">rlDriverData_t</a></td><td class="desc">Mmwave radar Driver Global Structure </td></tr>
<tr id="row_48_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_driver_msg__t.html" target="_self">rlDriverMsg_t</a></td><td class="desc">Mmwave radar Driver Payload </td></tr>
<tr id="row_49_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_driver_opcode__t.html" target="_self">rlDriverOpcode_t</a></td><td class="desc">Mmwave radar Driver Opcode </td></tr>
<tr id="row_50_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_driver_resp_msg__t.html" target="_self">rlDriverRespMsg_t</a></td><td class="desc">The passing message type of Tx task of API module </td></tr>
<tr id="row_51_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_dual_clk_comp_mon_conf__t.html" target="_self">rlDualClkCompMonConf_t</a></td><td class="desc">Internal signals for DCC based clock monitoring configuration </td></tr>
<tr id="row_52_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_dyn_chirp_cfg__t.html" target="_self">rlDynChirpCfg_t</a></td><td class="desc">Dynamic chirp configuration for 16 chirp configurations </td></tr>
<tr id="row_53_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_dyn_chirp_en_cfg__t.html" target="_self">rlDynChirpEnCfg_t</a></td><td class="desc">Dynamic chirp enable configuration </td></tr>
<tr id="row_54_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_dyn_per_chirp_ph_shft_cfg__t.html" target="_self">rlDynPerChirpPhShftCfg_t</a></td><td class="desc">Dynamic per chirp phase shifter configuration </td></tr>
<tr id="row_55_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_dyn_pwr_save__t.html" target="_self">rlDynPwrSave_t</a></td><td class="desc">Dynamic power saving API parameters </td></tr>
<tr id="row_56_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_error_resp__t.html" target="_self">rlErrorResp_t</a></td><td class="desc">MmWaveLink API Error Sub block structure </td></tr>
<tr id="row_57_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_event_cbs__t.html" target="_self">rlEventCbs_t</a></td><td class="desc">MmWaveLink Asynchronous event callback function </td></tr>
<tr id="row_58_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_ext_ana_signals_mon_conf__t.html" target="_self">rlExtAnaSignalsMonConf_t</a></td><td class="desc">External analog signals monitoring configuration </td></tr>
<tr id="row_59_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_file_data__t.html" target="_self">rlFileData_t</a></td><td class="desc">File Dowload data structure </td></tr>
<tr id="row_60_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_fix_payload_sb__t.html" target="_self">rlFixPayloadSb_t</a></td><td class="desc">RHCP Payload Structure </td></tr>
<tr id="row_61_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_frame_apply_cfg__t.html" target="_self">rlFrameApplyCfg_t</a></td><td class="desc">Frame config API parameters </td></tr>
<tr id="row_62_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_frame_cfg__t.html" target="_self">rlFrameCfg_t</a></td><td class="desc">Frame config API parameters </td></tr>
<tr id="row_63_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_frame_trigger__t.html" target="_self">rlFrameTrigger_t</a></td><td class="desc">Frame Trigger API parameters RL_RF_FRAMESTARTSTOP_CONF_SB </td></tr>
<tr id="row_64_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_function_params__t.html" target="_self">rlFunctionParams_t</a></td><td class="desc">Mmwave radar Driver Function Params </td></tr>
<tr id="row_65_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_fw_version_param__t.html" target="_self">rlFwVersionParam_t</a></td><td class="desc">MmWaveLink firmware version structure </td></tr>
<tr id="row_66_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_gp_adc_cfg__t.html" target="_self">rlGpAdcCfg_t</a></td><td class="desc">API radarSS GPADC API MEAS SET SBC M_API_AR_RF_GPADC_API_SET_SB </td></tr>
<tr id="row_67_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_gp_adc_data__t.html" target="_self">rlGpAdcData_t</a></td><td class="desc">GPADC measurement data for sensors </td></tr>
<tr id="row_68_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_gpadc_int_ana_signals_mon_conf__t.html" target="_self">rlGpadcIntAnaSignalsMonConf_t</a></td><td class="desc">Internal signals for GPADC monitoring configuration </td></tr>
<tr id="row_69_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_gp_adc_samples__t.html" target="_self">rlGpAdcSamples_t</a></td><td class="desc">Num of samples to collect for API GPADC sensors sampleCnt : Number of samples to collect @625KHz </td></tr>
<tr id="row_70_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_hdr_flags__t.html" target="_self">rlHdrFlags_t</a></td><td class="desc">Command op-code ID contains 4 fields (16 bits) Bit 10-15: Reserved Bit 8-9: Operation - Set/Get. Bit 4-7: Operation Type Bit 0-3: Direction </td></tr>
<tr id="row_71_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_init_complete__t.html" target="_self">rlInitComplete_t</a></td><td class="desc">MmWaveLink Init Complete data structure for event RL_DEV_AE_MSSPOWERUPDONE_SB </td></tr>
<tr id="row_72_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_inter_chirp_blk_ctrl_cfg__t.html" target="_self">rlInterChirpBlkCtrlCfg_t</a></td><td class="desc">Inter Chirp block control configuration </td></tr>
<tr id="row_73_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_inter_rx_gain_ph_conf__t.html" target="_self">rlInterRxGainPhConf_t</a></td><td class="desc">Inter-Rx gain and phase offset configuration </td></tr>
<tr id="row_74_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrllatent_fault__t.html" target="_self">rllatentFault_t</a></td><td class="desc">Mmwave radar device latent fault test </td></tr>
<tr id="row_75_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_log_ctx__t.html" target="_self">rlLogCtx_t</a></td><td class="desc">Mmwave Logging functions </td></tr>
<tr id="row_76_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_loopback_burst__t.html" target="_self">rlLoopbackBurst_t</a></td><td class="desc">Loopback burst set configuration </td></tr>
<tr id="row_77_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_low_power_mode_cfg__t.html" target="_self">rlLowPowerModeCfg_t</a></td><td class="desc">Low Power mode configuration </td></tr>
<tr id="row_78_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mcu_clk_cfg__t.html" target="_self">rlMcuClkCfg_t</a></td><td class="desc">Mmwave radar device MCU Clock output </td></tr>
<tr id="row_79_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mon_ana_enables__t.html" target="_self">rlMonAnaEnables_t</a></td><td class="desc">Analog monitoring configuration </td></tr>
<tr id="row_80_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mon_dcc_clk_freq_rep__t.html" target="_self">rlMonDccClkFreqRep_t</a></td><td class="desc">This is the Monitoring report which RadarSS sends to the host, containing information about the relative frequency measurements. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_DCC_CLK_FREQ_REPORT </td></tr>
<tr id="row_81_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mon_dig_enables__t.html" target="_self">rlMonDigEnables_t</a></td><td class="desc">Digital monitoring configuration </td></tr>
<tr id="row_82_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mon_ext_ana_sig_rep__t.html" target="_self">rlMonExtAnaSigRep_t</a></td><td class="desc">This is the Monitoring report which RadarSS sends to the host, containing the external signal voltage values measured using the GPADC. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_EXT_ANALOG_SIG_REPORT </td></tr>
<tr id="row_83_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mon_gpadc_int_ana_sig_rep__t.html" target="_self">rlMonGpadcIntAnaSigRep_t</a></td><td class="desc">This is the Monitoring report which RadarSS sends to the host, containing information about Internal PM, CLK and LO subsystems' internal analog signals. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_GPADC_INT_ANA_SIG_REPORT </td></tr>
<tr id="row_84_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mon_pll_con_volt_rep__t.html" target="_self">rlMonPllConVoltRep_t</a></td><td class="desc">This is the Monitoring report which RadarSS sends to the host, containing the measured PLL control voltage values during explicit monitoring chirps. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_PLL_CONTROL_VOLT_REPORT </td></tr>
<tr id="row_85_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mon_pmclklo_int_ana_sig_rep__t.html" target="_self">rlMonPmclkloIntAnaSigRep_t</a></td><td class="desc">This is the Monitoring report which RadarSS sends to the host, containing information about Internal PM, CLK and LO subsystems' internal analog signals. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_PMCLKLO_INT_ANA_SIG_REPORT </td></tr>
<tr id="row_86_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mon_report_hdr_data__t.html" target="_self">rlMonReportHdrData_t</a></td><td class="desc">The report header includes common information across all enabled monitors like current FTTI number and current temperature. event: RL_RF_AE_MON_REPORT_HEADER_SB </td></tr>
<tr id="row_87_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mon_rx_gain_ph_rep__t.html" target="_self">rlMonRxGainPhRep_t</a></td><td class="desc">This API is a Monitoring report which RadarSS sends to the host, containing the measured RX gain and phase values. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_RX_GAIN_PHASE_REPORT </td></tr>
<tr id="row_88_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mon_rx_if_stage_rep__t.html" target="_self">rlMonRxIfStageRep_t</a></td><td class="desc">This is the Monitoring report which RadarSS sends to the host, containing the measured RX IF filter attenuation values at the given IF frequencies. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_RX_IF_STAGE_REPORT </td></tr>
<tr id="row_89_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mon_rx_int_ana_sig_rep__t.html" target="_self">rlMonRxIntAnaSigRep_t</a></td><td class="desc">This is the Monitoring report which RadarSS sends to the host, containing information about Internal RX internal analog signals. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_RX_INT_ANALOG_SIG_REPORT </td></tr>
<tr id="row_90_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mon_rx_mixr_in_pwr_rep__t.html" target="_self">rlMonRxMixrInPwrRep_t</a></td><td class="desc">This is the Monitoring report which the xWR device sends to the host, containing the measured RX mixer input voltage swing values. The xWR device sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_RX_MIXER_IN_PWR_REPORT </td></tr>
<tr id="row_91_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mon_rx_noise_fig_rep__t.html" target="_self">rlMonRxNoiseFigRep_t</a></td><td class="desc">This is the Monitoring report which RadarSS sends to the host, containing the measured RX noise figure values corresponding to the full IF band of a profile. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_RX_NOISE_FIG_REPORT </td></tr>
<tr id="row_92_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mon_synth_freq_rep__t.html" target="_self">rlMonSynthFreqRep_t</a></td><td class="desc">This is the Monitoring report which RadarSS sends to the host, containing information related to measured frequency error during the chirp. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_SYNTHESIZER_FREQ_REPORT </td></tr>
<tr id="row_93_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mon_temp_report_data__t.html" target="_self">rlMonTempReportData_t</a></td><td class="desc">This is the Monitoring report which RadarSS sends to the host, containing the measured temperature near various RF analog and digital modules. The xWR device sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event:RL_RF_AE_MON_TEMPERATURE_REPORT_SB </td></tr>
<tr id="row_94_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mon_tx_ball_break_rep__t.html" target="_self">rlMonTxBallBreakRep_t</a></td><td class="desc">This is the Monitoring report which RadarSS sends to the host, containing the measured TX reflection coefficient's magnitude values, meant for detecting TX ball break. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Same strucuture is applicable for Tx0/Tx1/Tx2 ball break report. Event: RL_RF_AE_MON_TXn_BALLBREAK_REPORT </td></tr>
<tr id="row_95_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mon_tx_bpm_rep__t.html" target="_self">rlMonTxBpmRep_t</a></td><td class="desc">This is the Monitoring report which RadarSS sends to the host, containing the measured TX1 BPM error values. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Same structure is applicable for Tx0/Tx1/Tx2 BPM report data. Event: RL_RF_AE_MON_TXn_BPM_REPORT </td></tr>
<tr id="row_96_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mon_tx_gain_pha_mis_rep__t.html" target="_self">rlMonTxGainPhaMisRep_t</a></td><td class="desc">This is the Monitoring report which RadarSS sends to the host, containing the measured Tx gain and phase mismatch values during an explicit monitoring chirp. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_TX_GAIN_MISMATCH_REPORT </td></tr>
<tr id="row_97_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mon_tx_int_ana_sig_rep__t.html" target="_self">rlMonTxIntAnaSigRep_t</a></td><td class="desc">This is the Monitoring report which RadarSS sends to the host, containing information about Internal TX internal analog signals. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Same structure is applicable for Tx0/Tx1/Tx2 monitoring report. Event: RL_RF_AE_MON_TXn_INT_ANA_SIG_REPORT </td></tr>
<tr id="row_98_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mon_tx_pow_rep__t.html" target="_self">rlMonTxPowRep_t</a></td><td class="desc">This is the Monitoring report which RadarSS sends to the host, containing the measured TX power values during an explicit monitoring chirp. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Same structure is application for Tx0/Tx1/Tx2 power report. Event: RL_RF_AE_MON_TXn_POWER_REPORT </td></tr>
<tr id="row_99_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mss_boot_err_status__t.html" target="_self">rlMssBootErrStatus_t</a></td><td class="desc">Structure to hold the MSS Boot error status data strucutre when booted over SPI for event RL_DEV_AE_MSS_BOOTERRSTATUS_SB </td></tr>
<tr id="row_100_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mss_esm_fault__t.html" target="_self">rlMssEsmFault_t</a></td><td class="desc">Structure to hold the MSS ESM Fault data strucutre for event RL_DEV_AE_MSS_ESMFAULT_SB </td></tr>
<tr id="row_101_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mss_latent_fault_report__t.html" target="_self">rlMssLatentFaultReport_t</a></td><td class="desc">Structure to hold the test status report of the latent fault tests data strucutre for event RL_DEV_AE_MSS_LATENTFLT_TEST_REPORT_SB </td></tr>
<tr id="row_102_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mss_periodic_test_status__t.html" target="_self">rlMssPeriodicTestStatus_t</a></td><td class="desc">Structure to hold data strucutre for test status of the periodic tests for event RL_DEV_AE_MSS_PERIODIC_TEST_STATUS_SB </td></tr>
<tr id="row_103_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_mss_rf_err_status__t.html" target="_self">rlMssRfErrStatus_t</a></td><td class="desc">Structure to hold data strucutre for RF-error status send by MSS for event RL_DEV_AE_MSS_RF_ERROR_STATUS_SB </td></tr>
<tr id="row_104_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_opcode__t.html" target="_self">rlOpcode_t</a></td><td class="desc">Command op-code ID contains 4 fields (16 bits) Bit 10-15: Reserved Bit 8-9: Operation - Set/Get. Bit 4-7: Operation Type Bit 0-3: Direction </td></tr>
<tr id="row_105_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_osi_cbs__t.html" target="_self">rlOsiCbs_t</a></td><td class="desc">OS services callback functions </td></tr>
<tr id="row_106_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_osi_msg_q_cbs__t.html" target="_self">rlOsiMsgQCbs_t</a></td><td class="desc">OS message queue/Spawn callback functions </td></tr>
<tr id="row_107_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_osi_mutex_cbs__t.html" target="_self">rlOsiMutexCbs_t</a></td><td class="desc">OS mutex callback functions </td></tr>
<tr id="row_108_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_osi_sem_cbs__t.html" target="_self">rlOsiSemCbs_t</a></td><td class="desc">OS semaphore callback functions </td></tr>
<tr id="row_109_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_payload_sb__t.html" target="_self">rlPayloadSb_t</a></td><td class="desc">RHCP Payload Structure </td></tr>
<tr id="row_110_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrlperiodic_test__t.html" target="_self">rlperiodicTest_t</a></td><td class="desc">Mmwave radar periodicity test config </td></tr>
<tr id="row_111_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_pll_contr_volt_mon_conf__t.html" target="_self">rlPllContrVoltMonConf_t</a></td><td class="desc">Internal signals for PLL control voltage monitoring configuration </td></tr>
<tr id="row_112_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_pm_clk_lo_int_ana_signals_mon_conf__t.html" target="_self">rlPmClkLoIntAnaSignalsMonConf_t</a></td><td class="desc">Internal signals for PM, CLK and LO monitoring configuration </td></tr>
<tr id="row_113_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_pmic_clk_cfg__t.html" target="_self">rlPmicClkCfg_t</a></td><td class="desc">Mmwave radar device PMIC Clock output </td></tr>
<tr id="row_114_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_profile_cfg__t.html" target="_self">rlProfileCfg_t</a></td><td class="desc">Profile config API parameters. A profile contains coarse parameters of FMCW chirp such as start frequency, chirp slope, ramp time, idle time etc. Fine dithering values need to be programmed in chirp configuration <a class="el" href="structrl_chirp_cfg__t.html">rlChirpCfg_t</a> </td></tr>
<tr id="row_115_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_prot_header__t.html" target="_self">rlProtHeader_t</a></td><td class="desc">RHCP protocol header structure </td></tr>
<tr id="row_116_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rcv_adc_data__t.html" target="_self">rlRcvAdcData_t</a></td><td class="desc">This async event is in response to the command (RL_DEV_CONFIG_SET_MSG: RL_DEV_RX_DATA_PATH_CONF_SET_SB) which indicates ADC data needs to be transferred over SPI. This async event contains the ADC data followed by more such async events for additional data. SB-ID : RL_DEV_AE_MSS_ADC_DATA_SB </td></tr>
<tr id="row_117_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="unionrl_read_buf__t.html" target="_self">rlReadBuf_t</a></td><td class="desc">Mmwave radar Driver Protocol header read buffer </td></tr>
<tr id="row_118_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_recvd_gp_adc_data__t.html" target="_self">rlRecvdGpAdcData_t</a></td><td class="desc">Sensors GPADC measurement data for event RL_RF_AE_GPADC_MEAS_DATA_SB </td></tr>
<tr id="row_119_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rf_apll_cal_done__t.html" target="_self">rlRfApllCalDone_t</a></td><td class="desc">API APLL closed loop cal Status Get Sub block structure </td></tr>
<tr id="row_120_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rf_boot_status_cfg__t.html" target="_self">rlRfBootStatusCfg_t</a></td><td class="desc">BSS Bootup status data structure </td></tr>
<tr id="row_121_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rf_cal_mon_freq_limit_conf__t.html" target="_self">rlRfCalMonFreqLimitConf_t</a></td><td class="desc">Radar RF Calibration monitoring Frequency Limit configuration </td></tr>
<tr id="row_122_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rf_cal_mon_time_unt_conf__t.html" target="_self">rlRfCalMonTimeUntConf_t</a></td><td class="desc">Radar RF Calibration monitoring time unit configuration </td></tr>
<tr id="row_123_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rf_dev_cfg__t.html" target="_self">rlRfDevCfg_t</a></td><td class="desc">API RF device Config SBC M_API_AR_RF_DEV_CONF_SBC </td></tr>
<tr id="row_124_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rf_i_f_loopback_cfg__t.html" target="_self">rlRfIFLoopbackCfg_t</a></td><td class="desc">Radar RF IF loopback configuration </td></tr>
<tr id="row_125_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rf_init_cal_conf__t.html" target="_self">rlRfInitCalConf_t</a></td><td class="desc">Radar RF Init Calibration configuration </td></tr>
<tr id="row_126_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rf_init_complete__t.html" target="_self">rlRfInitComplete_t</a></td><td class="desc">MmWaveLink RF Init Complete data structure for event RL_RF_AE_INITCALIBSTATUS_SB </td></tr>
<tr id="row_127_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rf_ldo_bypass_cfg__t.html" target="_self">rlRfLdoBypassCfg_t</a></td><td class="desc">Radar RF LDO bypass enable/disable configuration </td></tr>
<tr id="row_128_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rf_misc_conf__t.html" target="_self">rlRfMiscConf_t</a></td><td class="desc">Radar RF Miscconfiguration </td></tr>
<tr id="row_129_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rf_p_a_loopback_cfg__t.html" target="_self">rlRfPALoopbackCfg_t</a></td><td class="desc">Radar RF PA loopback configuration </td></tr>
<tr id="row_130_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rf_phase_shift_cfg__t.html" target="_self">rlRfPhaseShiftCfg_t</a></td><td class="desc">Radar RF Phase Shift enable/disable configuration </td></tr>
<tr id="row_131_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rf_prog_filt_coeff__t.html" target="_self">rlRfProgFiltCoeff_t</a></td><td class="desc">Array of coefficients for the RF programmable filter </td></tr>
<tr id="row_132_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rf_prog_filt_conf__t.html" target="_self">rlRfProgFiltConf_t</a></td><td class="desc">Radar RF programmable filter configuration </td></tr>
<tr id="row_133_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rf_p_s_loopback_cfg__t.html" target="_self">rlRfPSLoopbackCfg_t</a></td><td class="desc">Radar RF Phase shift loopback configuration </td></tr>
<tr id="row_134_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rf_run_time_calib_report__t.html" target="_self">rlRfRunTimeCalibReport_t</a></td><td class="desc">MmWaveLink RF Run time calibration report for event RL_RF_AE_RUN_TIME_CALIB_REPORT_SB </td></tr>
<tr id="row_135_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rf_rx_saturation_cq_data__t.html" target="_self">rlRfRxSaturationCqData_t</a></td><td class="desc">RX ADC and IF saturation information </td></tr>
<tr id="row_136_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rf_sig_img_power_cq_data__t.html" target="_self">rlRfSigImgPowerCqData_t</a></td><td class="desc">RX signal and image band energy statistics </td></tr>
<tr id="row_137_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rf_temp_data__t.html" target="_self">rlRfTempData_t</a></td><td class="desc">RF characterization Time and Temperature data structure </td></tr>
<tr id="row_138_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rf_tx_freq_pwr_limit_mon_conf__t.html" target="_self">rlRfTxFreqPwrLimitMonConf_t</a></td><td class="desc">Tx freq and power limit configuration </td></tr>
<tr id="row_139_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rhcp_msg__t.html" target="_self">rlRhcpMsg_t</a></td><td class="desc">RHCP message structure </td></tr>
<tr id="row_140_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_run_time_calib_conf__t.html" target="_self">rlRunTimeCalibConf_t</a></td><td class="desc">Radar RF Run time calibration configuration </td></tr>
<tr id="row_141_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rx_gain_phase_mon_conf__t.html" target="_self">rlRxGainPhaseMonConf_t</a></td><td class="desc">RX gain and phase monitoring configuration </td></tr>
<tr id="row_142_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rx_gain_temp_lut_data__t.html" target="_self">rlRxGainTempLutData_t</a></td><td class="desc">RX gain temperature LUT inject </td></tr>
<tr id="row_143_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rx_gain_temp_lut_read_req__t.html" target="_self">rlRxGainTempLutReadReq_t</a></td><td class="desc">RX gain temperature LUT read </td></tr>
<tr id="row_144_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rx_if_stage_mon_conf__t.html" target="_self">rlRxIfStageMonConf_t</a></td><td class="desc">RX IF stage monitoring configuration </td></tr>
<tr id="row_145_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rx_mix_in_pwr_mon_conf__t.html" target="_self">rlRxMixInPwrMonConf_t</a></td><td class="desc">RX mixer input power monitoring configuration </td></tr>
<tr id="row_146_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rx_noise_mon_conf__t.html" target="_self">rlRxNoiseMonConf_t</a></td><td class="desc">RX noise monitoring configuration </td></tr>
<tr id="row_147_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_rx_sat_mon_conf__t.html" target="_self">rlRxSatMonConf_t</a></td><td class="desc">RX saturation monitoring configuration </td></tr>
<tr id="row_148_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_sig_img_mon_conf__t.html" target="_self">rlSigImgMonConf_t</a></td><td class="desc">Signal and image band energy monitoring configuration </td></tr>
<tr id="row_149_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_start_complete__t.html" target="_self">rlStartComplete_t</a></td><td class="desc">MmWaveLink RF Start Complete data structure for event RL_DEV_AE_RFPOWERUPDONE_SB </td></tr>
<tr id="row_150_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_sub_frame_cfg__t.html" target="_self">rlSubFrameCfg_t</a></td><td class="desc">Advance Frame config API Subframe configuration </td></tr>
<tr id="row_151_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_sub_frame_data_cfg__t.html" target="_self">rlSubFrameDataCfg_t</a></td><td class="desc">Sub Frame data config API parameters </td></tr>
<tr id="row_152_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_sub_frame_start_cfg__t.html" target="_self">rlSubFrameStartCfg_t</a></td><td class="desc">Sub-frame trigger API </td></tr>
<tr id="row_153_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_sw_version_param__t.html" target="_self">rlSwVersionParam_t</a></td><td class="desc">Mmwavelink software version structure </td></tr>
<tr id="row_154_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_sync_pattern__t.html" target="_self">rlSyncPattern_t</a></td><td class="desc">RHCP SYNC Pattern Structure </td></tr>
<tr id="row_155_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_synth_freq_mon_conf__t.html" target="_self">rlSynthFreqMonConf_t</a></td><td class="desc">Synthesizer frequency monitoring configuration </td></tr>
<tr id="row_156_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_temp_mon_conf__t.html" target="_self">rlTempMonConf_t</a></td><td class="desc">Temperature sensor monitoring configuration </td></tr>
<tr id="row_157_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrltest_pattern__t.html" target="_self">rltestPattern_t</a></td><td class="desc">Mmwave radar test pattern config </td></tr>
<tr id="row_158_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_test_source__t.html" target="_self">rlTestSource_t</a></td><td class="desc">Test source config API parameters E_API_AR_TEST_SOURCE_CONF_SB </td></tr>
<tr id="row_159_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_test_source_ant_pos__t.html" target="_self">rlTestSourceAntPos_t</a></td><td class="desc">The Antenna position parameter structure </td></tr>
<tr id="row_160_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_test_source_enable__t.html" target="_self">rlTestSourceEnable_t</a></td><td class="desc">Test source Enable API parameters RL_RF_TEST_SOURCE_ENABLE_SB </td></tr>
<tr id="row_161_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_test_source_object__t.html" target="_self">rlTestSourceObject_t</a></td><td class="desc">The Object position and signal strength parameter structure </td></tr>
<tr id="row_162_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_timer_cbs__t.html" target="_self">rlTimerCbs_t</a></td><td class="desc">MmWaveLink Timer callback functions </td></tr>
<tr id="row_163_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_tx_ballbreak_mon_conf__t.html" target="_self">rlTxBallbreakMonConf_t</a></td><td class="desc">TX ballbreak monitoring configuration </td></tr>
<tr id="row_164_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_tx_bpm_mon_conf__t.html" target="_self">rlTxBpmMonConf_t</a></td><td class="desc">TX BPM monitoring configuration </td></tr>
<tr id="row_165_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_tx_gain_phase_mismatch_mon_conf__t.html" target="_self">rlTxGainPhaseMismatchMonConf_t</a></td><td class="desc">TX gain and phase mismatch monitoring configuration </td></tr>
<tr id="row_166_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_tx_gain_temp_lut_data__t.html" target="_self">rlTxGainTempLutData_t</a></td><td class="desc">TX gain temperature LUT inject </td></tr>
<tr id="row_167_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_tx_gain_temp_lut_read_req__t.html" target="_self">rlTxGainTempLutReadReq_t</a></td><td class="desc">TX gain temperature LUT read </td></tr>
<tr id="row_168_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_tx_int_ana_signals_mon_conf__t.html" target="_self">rlTxIntAnaSignalsMonConf_t</a></td><td class="desc">Internal signals in the TX path monitoring configuration </td></tr>
<tr id="row_169_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_tx_pow_mon_conf__t.html" target="_self">rlTxPowMonConf_t</a></td><td class="desc">TX power monitoring configuration </td></tr>
<tr id="row_170_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_version__t.html" target="_self">rlVersion_t</a></td><td class="desc">Mmwavelink version structure </td></tr>
<tr id="row_171_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_vmon_err_status__t.html" target="_self">rlVmonErrStatus_t</a></td><td class="desc">This sub block indicates fault in analog supplies or LDO short circuit condition. Once a fault is detected the functionality cannot be resumed from then on and the sensor needs to be re-started. This Async Event is generated with SB-ID RL_DEV_AE_MSS_VMON_ERROR_STATUS_SB </td></tr>
<tr id="row_172_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structrl_word_param__t.html" target="_self">rlWordParam_t</a></td><td class="desc">Chirp start, end Index parameters for rlGetChirpConfig </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
